import { request } from '../../../request';
import urls from '../../../urls';

export const requestParamsBuilder = (username, password) => ({ username, password });

export default function(username, password) {
  const body = requestParamsBuilder(username, password);
  const options = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    body
  }

  const fullUrl = `${this.options.host}${urls.auth0.login}`;
  return request(fullUrl, options);
}
