import { request } from '../../../../request';
import urls from '../../../../urls';


export default function(modelgroupId, channel, standardized_language,
                        query, active = true, page = 1, per_page = 10) {
  const url = urls.questionAnswering.answer.search(modelgroupId, page, per_page, active,
                                                   standardized_language, channel, query);
  const headers = {'Content-Type': 'application/json'};
  const fullUrl = `${this.options.host}${url}`;
  const options = {method: 'GET', headers};
  return request(fullUrl, options, this.options.authTokenProvider);
}
