import { request } from '../../../../request';
import urls from '../../../../urls';

export const requestParamsBuilder = (externalId, createdAt, messages, metadata) => (
  { externalId, createdAt, messages, metadata });

export default function(modelgroupId, externalId, createdAt, messages, metadata) {
  const url = urls.questionAnswering.log.create(modelgroupId);
  const headers = {'Content-Type': 'application/json'};
  const body = requestParamsBuilder(externalId, createdAt, messages, metadata);
  const fullUrl = `${this.options.host}${url}`;
  const options = {method: 'POST', headers, body};
  return request(fullUrl, options, this.options.authTokenProvider);
}
