import { request } from '../../../../request';
import urls from '../../../../urls';

export default function(modelgroupId, page = 1, per_page = 10) {
  const url = urls.questionAnswering.log.list(modelgroupId, page, per_page);
  const headers = {'Content-Type': 'application/json'};
  const fullUrl = `${this.options.host}${url}`;
  const options = {method: 'GET', headers};
  return request(fullUrl, options, this.options.authTokenProvider);
}
