const addOnSchemas = [
  {
    standardizedLanguage: "en",
    channel: "Email",
    schema: {
      type: "DGObject",
      properties: {
        subject: {
          type: "DGString",
          metadata: {
            label: "Subject"
          }
        }
      }
    }
  }
];

export default {
  addOnSchemas,
  results: {
    createOrUpdateAddOnSchema: {
      options: {
        method: 'POST',
        body: { addOnSchemas },
        headers: {
          'Content-Type': 'application/json',
          Accept: 'application/json'
        }
      }
    }
  }
}
