import { request } from '../../../../request';
import urls from '../../../../urls';

export const requestParamsBuilder = (addOnSchemas) => ({ addOnSchemas });

export default function(modelgroupId, addOnSchemas = []) {
  const url = urls.questionAnswering.modelGroup.createOrUpdateAddOnSchema(modelgroupId);
  const options = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      Accept: 'application/json'
    },
    body: requestParamsBuilder(addOnSchemas)
  };
  const fullUrl = `${this.options.host}${url}`;
  return request(fullUrl, options, this.options.authTokenProvider);
}
