import { request } from '../../../../request';
import urls from '../../../../urls';

export default function(modelgroupId) {
  const url = urls.questionAnswering.modelGroup.unarchive(modelgroupId);
  const options = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    }
  };
  const fullUrl = `${this.options.host}${url}`;
  return request(fullUrl, options, this.options.authTokenProvider);
}
