import { request } from '../../../../request';
import urls from '../../../../urls';

export const requestParamsBuilder = (name, description, defaultLanguage) => ({ name, description, defaultLanguage });

export default function(modelgroupId, name, description, defaultLanguage) {
  const url = urls.questionAnswering.modelGroup.update(modelgroupId);
  const options = {
    method: 'PATCH',
    headers: {
      'Content-Type': 'application/json',
    },
    body: requestParamsBuilder(name, description, defaultLanguage)
  }
  const fullUrl = `${this.options.host}${url}`;
  return request(fullUrl, options, this.options.authTokenProvider);
}
