import { request } from '../../../../request';
import urls from '../../../../urls';

export const requestParamsBuilder = (standardizedLanguages, channels, startTraining, aiType) => ({
  standardizedLanguages,
  channels,
  startTraining,
  aiType
});

export default function(modelgroupId, standardizedLanguages, channels, startTraining, aiType) {
  const url = this.options.host + urls.questionAnswering.modelVersion.createHistoricalResponses(modelgroupId);

  const options = {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: requestParamsBuilder(standardizedLanguages, channels, startTraining, aiType)
  }

  return request(url, options, this.options.authTokenProvider);
}
