import assert from 'assert';
import generalFixture from '../generalFixture';
import * as common from './common.js';


test('metadataBuilder build correct metadata object', function() {
  const actualParams = common.metadataBuilder(generalFixture.createdAt,
                                              generalFixture.key,
                                              generalFixture.value);

  assert.deepEqual(actualParams, { createdAt: generalFixture.createdAt,
                                   key: generalFixture.key,
                                   value: generalFixture.value });
});
