import assert from 'assert';
import { get } from 'lodash';

import APIClient from '.';
import fixtures from './fixtures';
import apis from './api';

describe('APIClient', function() {
  it('APIClient should contains all of the API methods', function() {
    const apiClient = new APIClient(fixtures.options);
    assert(apiClient.options.host, fixtures.options.host);

    apis.forEach(({ structure }) => {
      assert(typeof get(structure), 'function');
    })
  });
});
