import { request } from '../../../../request';
import urls from '../../../../urls';

export const requestParamsBuilder = (name, description) => ({ name, description });

export default function(name, description) {
  const url = urls.questionAnswering.modelGroup.list;

  const options = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    body: requestParamsBuilder(name, description)
  };

  const fullUrl = `${this.options.host}${url}`;
  return request(fullUrl, options, this.options.authTokenProvider);
}
