import { request } from '../../../../request';
import urls from '../../../../urls';

export const requestParamsBuilder = (standardizedLanguage, channel) => ({ standardizedLanguage, channel });

export default function(modelgroupId, standardizedLanguage, channel) {
  const url = urls.questionAnswering.modelGroup.deleteAddOnSchema(modelgroupId);
  const options = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      Accept: 'application/json'
    },
    body: requestParamsBuilder(standardizedLanguage, channel)
  }
  const fullUrl = `${this.options.host}${url}`;
  return request(fullUrl, options, this.options.authTokenProvider);
}
