import { request } from '../../../../request';
import urls from '../../../../urls';

export default function(modelgroupId, modelversionId) {
  const url = this.options.host + urls.questionAnswering.modelVersion.cancelTrain(modelgroupId, modelversionId);

  const options = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      Accept: 'application/json'
    }
  }

  return request(url, options, this.options.authTokenProvider);
}
