import { request } from '../../../../request';
import urls from '../../../../urls';

export default function(modelgroupId, modelversionId) {
  const url = this.options.host + urls.questionAnswering.modelVersion.get(modelgroupId, modelversionId);
  const options = {
    method: 'GET',
    headers: { 'Content-Type': 'application/json' }
  }

  return request(url, options, this.options.authTokenProvider);
}
