import { set } from 'lodash';

import apis from './api';

export default class APIClient {
  constructor(host, authTokenProvider) {
    this.options = {host, authTokenProvider};

    apis.forEach((api) => {
      set(this, api.structure, api.method.bind(this));
    });
  }

  init(host, authTokenProvider) {
    this.options = {host, authTokenProvider};
  }
}
