const authToken = 'Some auth token';

export default {
  authToken,

  inputs: {
    normalRequest: {
      url: 'test_url',
      options: {
        headers: {
          some_header: 'yeah, some header'
        },
        method: 'GET',
        body: {
          some: 'arg'
        }
      }
    }
  },

  results: {
    normalRequest: {
      url: 'test_url',
      options: {
        headers: {
          some_header: 'yeah, some header'
        },
        method: 'GET',
        body: JSON.stringify({ some: 'arg' })
      }
    },
    withAuth: {
      url: 'test_url',
      options: {
        headers: {
          some_header: 'yeah, some header',
          Authorization: authToken
        },
        method: 'GET',
        body: JSON.stringify({ some: 'arg' })
      }
    }
  }
}
